Subject: bug#73862: [PATCH] Add `header-line-active` and `header-line-inactive` faces.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Dec 2024 09:31:39 +0200

> From: Eshel Yaron <[email-masked]>
> Cc: Aaron Jensen <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Thu, 05 Dec 2024 07:50:38 +0100
> 
> > If what you see is the same as Eshel, I will ask you the same
> > question: shouldn't you apply face-remapping to the 2 new faces
> > instead of the 'header-line' face from which they both inherit?
> > What happens if you do define remapping for those two new faces?
> 
> At least to me, it's not clear what you mean by "should".  Existing code
> remaps the header-line face with good results (prior to this change), so
> if we now "should" remap something else instead to get the same results,
> that means this is a breaking change.  Is that intended?  If so, OK, if
> not, shouldn't it be fixed? :)

Let's first understand the scope of the problem, shall we?  If
remapping the two new faces does what you want, then the only problem
is in backward-incompatible nature of this change, when face remapping
is considered.  If remapping the two new faces does NOT do what you
want, the problem is elsewhere.

More to the point you raise: when we introduced mode-line-active face,
the same happened with the 2 mode-line faces.  We should indeed decide
whether we need to support remapping the parent mode-line and
header-line faces, but at least for mode line we don't, since Emacs
29.